[package]
name = "common"
edition = "2021"
version.workspace = true

[dependencies]
bytes.workspace = true
env_logger.workspace = true

serde.workspace = true
serde_json.workspace = true
toml.workspace = true

rand.workspace = true
rand_mt.workspace = true
rsa.workspace = true

thiserror.workspace = true
tokio.workspace = true
tracing.workspace = true
sqlx.workspace = true
redis.workspace = true
zeromq.workspace = true
dashmap.workspace = true

rbase64.workspace = true
prost.workspace = true
proto.workspace = true
mhy-kcp.workspace = true

[target.'cfg(target_os = "windows")'.dependencies]
ansi_term = "0.12.1"
